package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description:子女教育心理控制源量表
 */
public class PLOCScale extends BaseScale {

    public PLOCScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public JSONObject scaleCalculate() throws Exception {
        //教育成效
        int scoreA = 0;
        //父母责任
        int scoreB = 0;
        //子女控制
        int scoreC = 0;
        //运气机遇
        int scoreD = 0;
        //父母控制
        int scoreE = 0;


        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (i <= 10) {
                if (jsonObject1.getString("scoreDirection").equals("1")) {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreA += 1;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreA += 2;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreA += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreA += 4;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreA += 5;
                    }
                } else {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreA += 5;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreA += 4;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreA += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreA += 2;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreA += 1;
                    }
                }
            } else if (i <= 20) {
                if (jsonObject1.getString("scoreDirection").equals("1")) {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                       scoreB += 1;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                       scoreB += 2;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                       scoreB += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                       scoreB += 4;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                       scoreB += 5;
                    }
                } else {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreB += 5;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreB += 4;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreB += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreB += 2;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreB += 1;
                    }
                }
            } else if (i <= 27) {
                if (jsonObject1.getString("scoreDirection").equals("1")) {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreC += 1;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreC += 2;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreC += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreC += 4;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreC += 5;
                    }
                } else {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreC += 5;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreC += 4;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreC += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreC += 2;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreC += 1;
                    }
                }
            } else if (i <= 37) {
                if (jsonObject1.getString("scoreDirection").equals("1")) {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreD += 1;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreD += 2;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreD += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreD += 4;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreD += 5;
                    }
                } else {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreD += 5;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreD += 4;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreD += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreD+= 2;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreD += 1;
                    }
                }
            } else if (i <= 47) {
                if (jsonObject1.getString("scoreDirection").equals("1")) {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreE += 1;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreE += 2;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreE += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreE += 4;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreE += 5;
                    }
                } else {
                    if (jsonObject1.getString("checkItems").equals("很不同意")) {
                        scoreE += 5;
                    } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                        scoreE += 4;
                    } else if (jsonObject1.getString("checkItems").equals("不确定")) {
                        scoreE += 3;
                    } else if (jsonObject1.getString("checkItems").equals("同意")) {
                        scoreE += 2;
                    } else if (jsonObject1.getString("checkItems").equals("很同意")) {
                        scoreE += 1;
                    }
                }
            }

        }

        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("教育成效得分", String.valueOf(scoreA));
        resultJson.put("父母的责任得分", String.valueOf(scoreB));
        resultJson.put("子女的控制得分", String.valueOf(scoreC));
        resultJson.put("运气或机遇得分", String.valueOf(scoreD));
        resultJson.put("父母的控制得分", String.valueOf(scoreE));


        List<Map<String, String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList", resultMapList);
        returnJson.put("scaleName", Constant.SHEET_NAME_PLOC);
        returnJson.put("resultJson", resultJson);

        return returnJson;
    }
}
